%define major	5
%define libname	%mklibname openshot-audio %{major}
%define devname	%mklibname openshot-audio -d

# Corresponding libopenshot version
%define libos_ver 0.1.7
%define url_ver	%(echo %{libos_ver}|cut -d. -f1,2)

Name:		libopenshot-audio
Version:	0.1.4
Release:	%mkrel 1
Summary:	OpenShot Audio Library
License:	GPLv3+
Group:		System/Libraries
Url:		http://www.openshot.org/
Source0:	https://launchpad.net/libopenshot/%{url_ver}/%{libos_ver}/+download/%{name}-%{version}.tar.gz
Patch0:		libopenshot-audio-0.1.2-linking.patch

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)

%description
OpenShot Audio Library.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Audio Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Audio Library.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openshot-audio-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package tools
Summary:	Tools and test binaries for %{name}
Group:		System/Libraries

%description tools
This package provides tools and test binaries for %{name}.

#----------------------------------------------------

%prep
%setup -qc
%autopatch -p1

%build
%cmake
%make_build

%install
%make_install -C build

%files

%files -n %{libname}
%license AUTHORS COPYING
%{_libdir}/libopenshot-audio.so.%{major}
%{_libdir}/libopenshot-audio.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libopenshot-audio.so

%files tools
%{_bindir}/openshot-audio-test-sound
%{_mandir}/man1/openshot-audio-test-sound.1*


%changelog
* Fri Jun 02 2017 akien <akien> 0.1.4-1.mga6
+ Revision: 1105807
- Version 0.1.4 (major 5)
- Move tools to subpackage, not required by devel package
- Package licensing info

* Mon Oct 10 2016 wally <wally> 0.1.2-2.mga6
+ Revision: 1060040
- add patch to fix underlinking

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1059962
- initial package libopenshot-audio

